Name: x11-driver-input-synaptics
Version: 0.15.2
Release: %mkrel 1
Summary: X.org input driver for Synaptics touchpad devices
Group: System/X11
URL: http://xorg.freedesktop.org
Source: xf86-input-synaptics-%{version}.tar.bz2

License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-proto-devel
BuildRequires: x11-server-devel
BuildRequires: x11-util-macros
Conflicts: synaptics

%description
Synaptics touchpad devices are extremely popular on laptops and this driver
is an MIT licensed alternative to the older GPL synaptics driver which is
no longer actively maintained.

%prep
%setup -q -n xf86-input-synaptics-%{version}

%build
autoreconf
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/synclient
%{_bindir}/syndaemon
%{_libdir}/xorg/modules/input/synaptics_drv.la
%{_libdir}/xorg/modules/input/synaptics_drv.so
%{_mandir}/man1/synclient.*
%{_mandir}/man1/syndaemon.*
%{_mandir}/man4/synaptics.*


%changelog
* Wed Sep 10 2008 Colin Guthrie <cguthrie@mandriva.org> 0.15.2-1mdv2009.0
+ Revision: 283638
- New version: 0.15.2
- Remove device-path patch (fixed upstream)

* Wed Sep 10 2008 Colin Guthrie <cguthrie@mandriva.org> 0.15.1-2mdv2009.0
+ Revision: 283360
- Fix description
- Fix crash during initialisation

* Tue Sep 09 2008 Colin Guthrie <cguthrie@mandriva.org> 0.15.1-1mdv2009.0
+ Revision: 283145
- New version: 0.15.1

* Wed Aug 13 2008 Colin Guthrie <cguthrie@mandriva.org> 0.15.0-1mdv2009.0
+ Revision: 271343
- import x11-driver-input-synaptics


